Security Enhanced Linux Reference Policy

# Layer: services

## Module: ppp

Tunables Interfaces

### Description:

Point to Point Protocol daemon creates links in ppp networks.

### Tunables:

pppd_can_insmod

##### Default value

false

##### Description

Determine whether pppd can load kernel modules.

pppd_for_user

##### Default value

false

##### Description

Determine whether common users can run pppd with a domain transition.

Return

### Interfaces:

ppp_admin( domain , role )

##### Summary

All of the rules required to administrate an ppp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ppp_domtrans( domain )

##### Summary

Execute pppd in the pppd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ppp_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit and use ppp file discriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

ppp_exec( domain )

##### Summary

Execute domain in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_home_filetrans_ppp_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the ppp home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

ppp_initrc_domtrans( domain )

##### Summary

Execute pppd init script in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ppp_kill( domain )

##### Summary

Send kill signals to ppp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_manage_home_files( domain )

##### Summary

Create, read, write, and delete ppp home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete ppp runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_config( domain )

##### Summary

Read ppp configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_home_files( domain )

##### Summary

Read ppp user home content files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_runtime_files( domain )

##### Summary

Read ppp runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_rw_config( domain )

##### Summary

Read ppp writable configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_secrets( domain )

##### Summary

Read ppp secret files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_relabel_home_files( domain )

##### Summary

Relabel ppp home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_run( domain , role )

##### Summary

Unconditionally execute ppp daemon on behalf of a user or staff type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

ppp_run_cond( domain , role )

##### Summary

Conditionally execute pppd on behalf of a user or staff type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

ppp_runtime_filetrans( domain , object_class , name )

##### Summary

Create specified pppd runtime objects with a type transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

ppp_sigchld( domain )

##### Summary

Send child terminated signals to ppp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_signal( domain )

##### Summary

Send generic signals to ppp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_signull( domain )

##### Summary

Send null signals to ppp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_use_fds( domain )

##### Summary

Inherit and use ppp file discriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return